---
title: "Set an allowed team admin"
url: "https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org-id-allowed-team-admins"
type: "endpoint"
section: "organization"
slug: "organization/operations/post-v2-organizations-org-id-allowed-team-admins"
method: "POST"
path: "/v2/organizations/{org_id}/allowed-team-admins"
operation_id: "post-v2-organizations-org-id-allowed-team-admins"
authorization: "bearer"
---

# Set an allowed team admin

`POST /v2/organizations/{org_id}/allowed-team-admins`

This endpoint allows API users to add an allowed team admin to an organization.

**Notes**

* Admins and moderators of the organization can add allowed team admins.
* The `email` must belong to a registered SignNow user.
* To activate or deactivate an allowed team admin, use [Activate/deactivate allowed team admins](/docs/organization/operations/put-v2-organizations-org-id-allowed-team-admins).

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `org_id` | string | Yes | ID of the organization where the allowed admin is set. |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "email"
  ],
  "properties": {
    "email": {
      "type": "string",
      "minLength": 1,
      "description": "Email address of the allowed team admin."
    }
  },
  "x-examples": {
    "Add allowed team admin": {
      "email": "user@example.com"
    }
  },
  "description": ""
}
```

**Example** (`Add allowed team admin`)

```json
{
  "email": "user@example.com"
}
```

## Responses

### 201

The allowed team admin has been added. The response body is empty.

### 400

* The `email` field is missing
* The `email` field is not a string
* The `email` field is not a valid email address
* The user is already an allowed team admin

**Example** (`The email field is missing`)

```json
{
  "errors": [
    {
      "code": 12012002,
      "message": "The `email` field is required."
    }
  ]
}
```

**Example** (`The email field is not a string`)

```json
{
  "errors": [
    {
      "code": 12012001,
      "message": "The `email` field must be a string."
    }
  ]
}
```

**Example** (`The user is already an allowed team admin`)

```json
{
  "errors": [
    {
      "code": 12012012,
      "message": "Provided organization allowed team admin exists"
    }
  ]
}
```

**Example** (`The email field is not a valid email address`)

```json
{
  "errors": [
    {
      "code": 12012003,
      "message": "The `email` is invalid."
    }
  ]
}
```

### 403

* The user is not an admin or moderator of the organization
* The user's subscription does not allow this action

**Example** (`The user's subscription does not allow this action`)

```json
{
  "errors": [
    {
      "code": 12003002,
      "message": "Access denied for current subscription."
    }
  ]
}
```

**Example** (`The user is not an admin or moderator of the organization`)

```json
{
  "errors": [
    {
      "code": 12003003,
      "message": "Access denied for current administration role in your organization."
    }
  ]
}
```

### 404

* The organization does not exist or is not active
* No SignNow user is registered with this email address

**Example** (`The organization does not exist or is not active`)

```json
{
  "errors": [
    {
      "code": 12003001,
      "message": "Organization `e1f2a3b4c5d6e7f8a9b0c1d2e3f4a5b6c7d8e9f0` is not found."
    }
  ]
}
```

**Example** (`No SignNow user is registered with this email address`)

```json
{
  "errors": [
    {
      "code": 12005001,
      "message": "User `user@example.com` is not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/organizations/{org_id}/allowed-team-admins" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"email": "user@example.com"}'
```

---
*Full reference: https://docs.signnow.com/docs/organization/operations/post-v2-organizations-org-id-allowed-team-admins*
